View Issue Details

IDProjectCategoryView StatusLast Update
0004617gnunet-gtkbuild systempublic2018-06-07 00:24
ReporterbeberkingAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004617: Please consider supporting SOURCE_DATE_EPOCH to make builds reproducible
DescriptionDear GNUnet-gtk developpers,

The use of the $thisyear variable in configure.ac does not allow GNUnet-gtk to be built reproducibly.

Making the builds reproducibles would have many advantages, and this does not prevent the use of timestamps (using SOURCE_DATE_EPOCH). Please see https://reproducible-builds.org/specs/source-date-epoch/

In the effort of making builds reproducible, it would be a great help if you could import the attached patch.

Cheers,
Bertrand
TagsNo tags attached.

Activities

beberking

2016-08-15 20:24

reporter  

reproducible_build.diff (841 bytes)
Description: Make the build reproducible
Author: Chris Lamb <lamby@debian.org>
Last-Update: 2016-08-12

--- gnunet-gtk-0.10.1.orig/configure.ac
+++ gnunet-gtk-0.10.1/configure.ac
@@ -538,7 +538,11 @@ AC_SUBST(GNUNET_PEERINFO_GTK_YEARFROM, [
 AC_SUBST(GNUNET_STATISTICS_GTK_YEARFROM, [2010], [year of the first release])
 AC_SUBST(GNUNET_SETUP_GTK_YEARFROM, [2010], [year of the first release])
 
-thisyear=$(date | sed -e 's/.* \([[[:digit:]]]\+\)$/\1/')
+if test -n "$SOURCE_DATE_EPOCH"; then
+	thisyear=$(date --utc --date="@SOURCE_DATE_EPOCH" +%Y)
+else
+	thisyear=$(date +%Y)
+fi
 AC_SUBST(GNUNET_FS_GTK_YEARTO, ${thisyear}, [year of the most current release])
 AC_SUBST(GNUNET_PEERINFO_GTK_YEARTO, ${thisyear}, [year of the most current release])
 AC_SUBST(GNUNET_STATISTICS_GTK_YEARTO, ${thisyear}, [year of the most current release])

Christian Grothoff

2016-08-17 00:29

manager   ~0011030

Ok, will try to fix.

Christian Grothoff

2016-08-17 00:31

manager   ~0011031

Patched as suggested in SVN 37728.

Issue History

Date Modified Username Field Change
2016-08-15 20:24 beberking New Issue
2016-08-15 20:24 beberking File Added: reproducible_build.diff
2016-08-17 00:29 Christian Grothoff Note Added: 0011030
2016-08-17 00:29 Christian Grothoff Assigned To => Christian Grothoff
2016-08-17 00:29 Christian Grothoff Status new => assigned
2016-08-17 00:31 Christian Grothoff Note Added: 0011031
2016-08-17 00:31 Christian Grothoff Status assigned => resolved
2016-08-17 00:31 Christian Grothoff Fixed in Version => 0.11.0pre66
2016-08-17 00:31 Christian Grothoff Resolution open => fixed
2016-08-17 00:31 Christian Grothoff Product Version => 0.10.1
2016-08-17 00:31 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed